# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.75"
name = "thulp-core"
version = "0.3.2"
authors = ["Dirmacs <contact@dirmacs.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types and traits for thulp"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/dirmacs/thulp"

[lib]
name = "thulp_core"
path = "src/lib.rs"

[[bench]]
name = "tool_benchmarks"
path = "benches/tool_benchmarks.rs"
harness = false

[dependencies.async-trait]
version = "0.1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.thiserror]
version = "2.0"

[dev-dependencies.criterion]
version = "0.5"

[dev-dependencies.proptest]
version = "1.5"

[dev-dependencies.tokio]
version = "1.43"
features = ["full"]
